﻿﻿@model Cdio447.ViewModels.RegisterModels
<script src='https://www.google.com/recaptcha/api.js' type="text/javascript"></script>

@{
    ViewBag.Title = "Đăng kí";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var mess = ViewBag.MEss;
    var succes = ViewBag.succes;
    var fail = ViewBag.fail;
    var capcha = ViewBag.capcha;
}
<div class="row justify-content-center">
    <div class="col-12 col-lg-8">
        <div class="form-payin p-3 my-3">
            @using (Html.BeginForm())
            {
                <h3 class="text-center mb-0 pb-3">Đăng ký</h3>
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="form-row">
                    <div class="col-12 col-lg-6">
                        <div class="form-group">
                            <label class="d-block">Tên đăng nhập</label>
                            @Html.TextBoxFor(model => model.user_name, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.user_name, "", new { @class = "text-danger d-block" })
                        </div>
                    </div>
                    <div class="col-12 col-lg-6">
                        <div class="form-group">
                            @Html.LabelFor(model => model.display_name)
                            @Html.TextBoxFor(model => model.display_name, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.display_name, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-12 col-lg-6">
                        <div class="form-group">
                            <label class="d-block">Password</label>
                            @Html.PasswordFor(model => model.password, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.password, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col-12 col-lg-6">
                        <div class="form-group">
                            <label class="d-block">Xác nhận password</label>
                            @Html.PasswordFor(model => model.confpassword, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.confpassword, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-12 col-lg-6">
                        <div class="form-group">
                            <label class="d-block">Email</label>
                            @Html.TextBoxFor(model => model.email, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.email, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col-12 col-lg-6">
                        <div class="form-group">
                            <label class="d-block">Số điện thoại</label>
                            @Html.TextBoxFor(model => model.phone, new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.phone, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-12 col-lg-6">
                        <div class="form-group">
                            <div class="form-group">
                                <label class="d-block">Giới tính</label>
                                @Html.DropDownList("gender", (IEnumerable<SelectListItem>)ViewBag.Gender, new { @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-lg-6 ">
                        <div class="form-group">
                            <label class="d-block">Thành phố</label>
                            <div class="form-group">
                                @Html.DropDownListFor(model => model.city_id, (SelectList)ViewBag.CityID, new { @class = "form-control" })
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-2 col-md- 10">
                        <div class="g-recaptcha" data-sitekey="6LfftLYUAAAAAOjrOdeQX__XR8KzMW7gsnwWCeS9"></div>
                    </div>
                </div>
                <div class="form-group mb-0 pt-3 text-center" style="border-top: 1px solid #e74c3c">
                    <div class="col-md-offset-2 col-md- 10">
                        <input type="submit" value="Đăng kí" class="btn btn_template" />
                        <input type="button" value="Hủy" class="btn btn-default" onclick="location.href='@Url.Action("Index","Home")'" />
                    </div>
                </div>
            }
        </div>
    </div>
</div>
@section scripts{
    @if (mess != null)
    {
        <script>
            setTimeout(function () { alert("Dữ liệu nhập vào không hợp lệ - Vui lòng thử lại!"); }, 100);
        </script>
    }
    @if (succes != null)
    {
        <script>
            setTimeout(function () { alert("Đăng kí thành công"); }, 100);
        </script>
    }
    @if (fail != null)
    {
        <script>
            setTimeout(function () { alert("Đăng kí không thành công"); }, 100);
        </script>
    }

    @if (capcha != null)
    {
        <script>
            setTimeout(function () { alert("Vui lòng xác thực capcha"); }, 100);
        </script>
    }
}
